on: [push]
jobs:
  jekyll:
    runs-on: docker
    container:
      image: jvconseil/jekyll-docker
    steps:
      - name: Checkout source
        uses: actions/checkout@v4
      - name: Checkout built site
        uses: actions/checkout@v4
        with:
          ref: pages
          path: _site
      - name: Setup cache directory
        run:  mkdir .jekyll-cache
      - name: Install dependencies
        run: bundle install
      - name: Build the site
        run: jekyll build --trace
      - name: Include the Codeberg pages .domains file
        run: cp ${{ env.GITHUB_WORKSPACE }}/.domains ${{ env.GITHUB_WORKSPACE }}/_site/.domains
      - name: Publish Site
        run: |
          cd _site
          git config --global --add safe.directory /workspace/vagabond/ttrpg-compendium/_site
          git config user.name "Scribe [bot]"
          git config user.email "scribe@niblock.tech"
          git add -A .
          git status
          git commit -m "Automated Publish"
          git push
